.related_themes-layout .post-grid {
    column-gap: 1.5rem;
    row-gap: 1.5rem;
}

.related-posts-wrap .pk-heading {
    font-size: var(--heading-md);
    margin-bottom: 20px;
}

/* Related Blogs */
.related_themes-layout .post_article {
    height: auto;
    border-radius: 12px;
    background: var(--pk-white);
    box-shadow: 0px 0px 12px 0px rgba(40, 45, 145, 0.102);
    overflow: hidden;
}

.related_themes-layout .post-image img {
    width: 100%;
    height: auto;
}

.related_themes-layout .post_article .post-content {
    justify-content: space-between;
    position: relative;
    padding: 32px;
    gap: 10px;
    border: 2px solid var(--pk-white);
    border-left: unset;
    border-top-right-radius: 12px;
    border-bottom-right-radius: 12px;
    transition: border 0.5s ease-in-out;
}

.related_themes-layout .post_article .post-content p {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 5;
    line-clamp: 5;
    -webkit-box-orient: vertical;
}

.related_themes-layout .post_article:hover .post-content {
    border: 2px solid var(--pk-primary-blue);
    border-left: unset;
}

.related_themes-layout .post_article .post-title {
    font-size: var(--heading-md);
    line-height: 1.2;
    margin-bottom: 10px;
}

.related_themes-layout .post_article .post-meta {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    font-size: 13px;
    font-weight: 600;
}

.related_themes-layout .post_article .post-meta::after {
    content: "\f8ce";
    font-family: "Material Symbols outlined";
    font-size: 14px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20px;
    height: 20px;
    border: 1.5px solid var(--pk-primary-blue);
    border-radius: 999px;
    transition: transform 0.5s ease-in-out;
}

.related_themes-layout .post_article:hover .post-meta::after {
    transform: rotate(45deg);
}

@media screen and (min-width: 767px) {
    .related_themes-layout .post_article {
        height: 100%;
    }

	.related_themes-layout .post-image img {
    height: 100%;
}

    .related_themes-layout .post_article .post-content {
        padding: 30px 40px;
    }
}

@media screen and (min-width: 993px) {
    .related_themes-layout .post_article .post-wrapper {
        display: flex;
    }

    .related_themes-layout .post-image {
        max-width: 328px;
    }
}

/* Related Cases */
.related_themes-layout .case_article {
    padding: 32px;
    border-radius: 12px;
    background: var(--pk-primary-beige);
    transition: background-color 0.5s ease-in-out;
    overflow: hidden;
}

.related_themes-layout .case_article .case-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    text-decoration: none;
}

.related_themes-layout .case_article:hover {
    background: var(--pk-blue-2);
}

.related_themes-layout .case_article .case-content {
    max-width: 230px;
}

.related_themes-layout .case_article h2 {
    font-size: var(--heading-md);
    font-weight: 500;
    line-height: 1.2;
}

.related_themes-layout .case_article .case-meta {
    display: flex;
    justify-content: flex-end;
}

.related_themes-layout .case_article:hover .case-meta::after {
    transform: rotate(45deg);
    border: 1.5px solid var(--pk-white);
    background: var(--pk-white);
}

.related_themes-layout .case_article .case-meta::after {
    content: "\f8ce";
    font-family: "Material Symbols outlined";
    font-size: 14px;
    color: var(--pk-primary-blue);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20px;
    height: 20px;
    border: 1.5px solid var(--pk-primary-blue);
    border-radius: 999px;
    transition: transform 0.5s ease-in-out;
}

@media screen and (min-width: 767px) {
    .related_themes-layout .case_article {
        height: 100%;
    }
	.related_themes-layout .case_article .case-wrapper {
    height: 100%;
}
}

@media screen and (max-width: 768px) {
    .related_themes-layout {
        margin-bottom: 55px;
    }
}
